import React from "react";
import PropTypes from "prop-types";

export default function Pencil(props) {
  return (
    <svg
      style={props.style}
      className={props.className}
      width={props.width}
      height={props.height}
      viewBox="0 0 16 16"
      fill="none"
      xmlns="http://www.w3.org/2000/svg"
    >
      <g clipPath="url(#clip0_1184:2317)">
        <path
          d="M13.6273 1.2703C12.8411 0.485419 11.5678 0.485419 10.7815 1.2703L10.0692 1.98657L2.4861 9.56561L2.46999 9.58185C2.46608 9.58576 2.46608 9.58991 2.46193 9.58991C2.45387 9.602 2.44178 9.61396 2.43385 9.62605C2.43385 9.63007 2.4297 9.63007 2.4297 9.6341C2.42164 9.64619 2.41774 9.65425 2.40955 9.66634C2.40565 9.67036 2.40565 9.67427 2.40162 9.67842C2.39759 9.69051 2.39356 9.69857 2.38941 9.71065C2.38941 9.71456 2.38551 9.71456 2.38551 9.71871L0.703052 14.778C0.653697 14.9221 0.691217 15.0816 0.79962 15.1885C0.875792 15.2636 0.978529 15.3057 1.08542 15.3053C1.12911 15.3046 1.17242 15.2978 1.21422 15.2852L6.26964 13.5987C6.27355 13.5987 6.27355 13.5987 6.2777 13.5948C6.29042 13.591 6.30263 13.5856 6.31383 13.5785C6.31698 13.5782 6.31975 13.5768 6.32202 13.5746C6.33398 13.5666 6.35009 13.5584 6.36218 13.5503C6.37414 13.5424 6.38635 13.5303 6.39844 13.5223C6.40247 13.5181 6.40637 13.5181 6.40637 13.5142C6.41053 13.5102 6.41859 13.5063 6.42262 13.4981L14.718 5.20266C15.5029 4.41639 15.5029 3.14313 14.718 2.35698L13.6273 1.2703ZM6.14084 12.6528L3.33948 9.85154L10.3509 2.84007L13.1523 5.64131L6.14084 12.6528ZM2.9449 10.5961L5.39222 13.0433L1.71733 14.2669L2.9449 10.5961ZM14.1506 4.63912L13.7239 5.06983L10.9224 2.26834L11.3533 1.83775C11.8245 1.36687 12.5884 1.36687 13.0598 1.83775L14.1545 2.93249C14.6222 3.40589 14.6205 4.16798 14.1506 4.63912Z"
          fill={props.fill}
        />
      </g>
      <defs>
        <clipPath id="clip0_1184:2317">
          <rect
            width="15.6"
            height="15.6"
            fill="white"
            transform="translate(0.199219 0.199219)"
          />
        </clipPath>
      </defs>
    </svg>
  );
}

Pencil.propTypes = {
  className: PropTypes.string,
  fill: PropTypes.string,
  width: PropTypes.number,
  height: PropTypes.number,
};

Pencil.defaultProps = {
  className: "",
  fill: "#B3C1E3",
  width: 16,
  height: 16,
};
